### Method

# GLib AsyncQueue remove_unlocked

since: 2.46

#### Declaration [src]

    gboolean
    g_async_queue_remove_unlocked (
      GAsyncQueue* queue,
      gpointer item
    )

#### Description [src]

Remove an item from the queue.

This function must be called while holding the `queue`‘s lock.

Available since: 2.46

#### Parameters

`item`

  Type: `gpointer`

  The data to remove from the `queue`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the item was removed.